# skScanSW.pyを利用するサンプルスクリプト
# 詳しくは　http://zattouka.net/GarageHouse/micon/circuit/Chattering.htm を参照下さい。
import time
from machine import Pin
from skScanSW import ScanSW

sw_pin = [26, 27]          # GPIO26とGPIO27にスイッチを配線する
sw = ScanSW(Pin, sw_pin)   # スキャンするスイッチのピン情報を登録する
led = Pin(4, Pin.OUT)      # ピン４番(GPIO4)をLED出力で割り付ける

led.off()
time.sleep(1)
while True:
    # ２６番ピンが押されたら処理する
    if sw.read(26) == 0:
        count = 0
        led.on()
        pre = sw.read(27)       # 最初のピン（27）情報を読む
        for i in range(30000):
            now = sw.read(27)
            if pre != now:      # ピン（27）に変化が有ればカウントする
                pre = now
                count = count + 1
        print(count)            # 何回ピンが変化したか表示を行う
        led.off()

